<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <services>
    <service name="dotclear" target="multi-user" engine="none">
      <file>/etc/dotclear/config.php</file>
      <file source="dotclear.nginx.conf">/etc/nginx/default.d/dotclear.conf</file>
      <file source="tmpfile-dotclear.conf">/tmpfiles.d/0dotclear.conf</file>
    </service>
  </services>
  <variables>
    <family name="dotclear" description="Dotclear">
      <variable name="admin_mail_from" type="mail" description="Adresse courriel de l'administrateur" mandatory="True"/>
      <variable name="dotclear_secret_key" type="password" hidden="True"/>
    </family>
  </variables>
  <constraints>
    <fill name="get_password">
      <param name="server_name" type="variable">domain_name_eth0</param>
      <param name="username">secret_key</param>
      <param name="description">dotclear</param>
      <param name="type">cleartext</param>
      <param name="hide" type="variable">hide_secret</param>
      <target>dotclear_secret_key</target>
    </fill>
  </constraints>
</rougail>
